Bug 232160 - security/php73-hash: fix build with GCC-based architectures
Summary: security/php73-hash: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jochen Neumeister
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-10 18:07 UTC by Piotr Kubaj
Modified: 2018-11-02 16:12 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (tz)


Attachments
patch (822 bytes, patch)
2018-10-10 18:07 UTC, Piotr Kubaj
no flags Details | Diff
build log (44.85 KB, text/plain)
2018-10-12 21:46 UTC, Piotr Kubaj
no flags Details
build log for php72-hash (46.55 KB, text/plain)
2018-10-13 08:40 UTC, Piotr Kubaj
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-10-10 18:07:40 UTC
Created attachment 198010 [details]
patch

-DHAVE_SLOW_HASH3 needs to be manually defined to fix build.

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 Jochen Neumeister freebsd_committer 2018-10-11 15:15:41 UTC
(In reply to Piotr Kubaj from comment #0)

Thanks for the patch :-)

do you have a log for powerpc64?
Comment 2 Piotr Kubaj freebsd_committer 2018-10-12 21:46:56 UTC
Created attachment 198074 [details]
build log

build log
Comment 3 Jochen Neumeister freebsd_committer 2018-10-13 07:26:47 UTC
Thanks Pitor.
Is there a chance, that you test it this for security/php72-hash, too?
Comment 4 Piotr Kubaj freebsd_committer 2018-10-13 08:40:06 UTC
Created attachment 198095 [details]
build log for php72-hash

Sure, here it is.
Comment 5 commit-hook freebsd_committer 2018-10-16 05:15:21 UTC
A commit references this bug:

Author: joneum
Date: Tue Oct 16 05:14:42 UTC 2018
New revision: 482202
URL: https://svnweb.freebsd.org/changeset/ports/482202

Log:
  security/php73-hash: fix build with GCC-based architectures

  Unbreak this Port on mips64

  PR:		232160
  Reported by:	Piotr Kubaj <pkubaj@anongoth.pl>
  Approved by:	tz (implicit)
  Sponsored by:	Netzkommune GmbH

Changes:
  head/lang/php73/Makefile.ext
  head/security/php73-hash/Makefile
Comment 6 Mark Linimon freebsd_committer freebsd_triage 2018-10-26 20:58:47 UTC
php73-hash is committed.  The patch for php72-hash can be found in PR 231462 .
Comment 7 commit-hook freebsd_committer 2018-11-02 16:12:39 UTC
A commit references this bug:

Author: joneum
Date: Fri Nov  2 16:12:06 UTC 2018
New revision: 483821
URL: https://svnweb.freebsd.org/changeset/ports/483821

Log:
  security/php72-hash: fix build with GCC-based architectures

  Unbreak this Port on mips64 and powerpc64

  PR:		231462 232160
  Reported by:	Piotr Kubaj <pkubaj@anongoth.pl>
  Approved by:	tz (implicit)
  Sponsored by:	Netzkommune GmbH

Changes:
  head/lang/php72/Makefile.ext
  head/security/php72-hash/Makefile